<template>
  <div :class="$vuetify.breakpoint.smAndDown ? 'pb-5' : 'pt-6 pb-6'">
    <v-container fluid class="slideup-everywher">
      <header v-scrollAnime class="d-flex justify-center why-title">
        <h2 class="text-center text-h4 font-weight-bold grey--text text--darken-3">
          {{ $t('whyUs.title') }}
        </h2>
      </header>
      <v-row
        align="center"
        justify="center"
        :class="$vuetify.breakpoint.smAndDown ? 'mt-10 mb-8' : 'pa-12 mt-12 mb-12'"
      >
        <v-col
          v-for="item in cards.cartItem"
          :key="item.title"
          cols="12"
          md="6"
          lg="4"
          class="home-halo-card"
        >
          <CardWhyUs
            v-scrollAnime
            :icon="item.icon"
            :title="item.title"
            :description="item.description"
          />
        </v-col>
      </v-row>
    </v-container>
  </div>
</template>
<script>
export default {
  name: 'WhyUs',
  computed: {
    cards() {
      return {
        cartItem: [
          {
            icon: 'mdi-face-agent',
            title: this.$t('whyUs.list[1].title'),
            description: this.$t('whyUs.list[1].description'),
          },
          {
            icon: 'mdi-lightbulb-on-outline',
            title: this.$t('whyUs.list[0].title'),
            description: this.$t('whyUs.list[0].description'),
          },

          {
            icon: 'mdi-update',
            title: this.$t('whyUs.list[2].title'),
            description: this.$t('whyUs.list[2].description'),
          },
        ],
      };
    },
  },
};
</script>
